package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import com.ym.mec.biz.dal.enums.TeachIncomeTypeEnum;
import com.ym.mec.common.page.QueryInfo;

/**
 * @Author Joburgess
 * @Date 2021/4/16 0016
 */
public class TeacherIncomeQueryInfo extends QueryInfo {

    private Integer teacherId;

    private String startDay;

    private String endDay;

    private CourseStatusEnum courseStatus;

    private Boolean updated = false;

    private String teachIncomeType;

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getStartDay() {
        return startDay;
    }

    public void setStartDay(String startDay) {
        this.startDay = startDay;
    }

    public String getEndDay() {
        return endDay;
    }

    public void setEndDay(String endDay) {
        this.endDay = endDay;
    }

    public CourseStatusEnum getCourseStatus() {
        return courseStatus;
    }

    public void setCourseStatus(CourseStatusEnum courseStatus) {
        this.courseStatus = courseStatus;
    }

    public Boolean getUpdated() {
        return updated;
    }

    public void setUpdated(Boolean updated) {
        this.updated = updated;
    }

    public String getTeachIncomeType() {
        return teachIncomeType;
    }

    public void setTeachIncomeType(String teachIncomeType) {
        this.teachIncomeType = teachIncomeType;
    }
}
